%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

Summary:	SSL sockets with IO::Socket interface
Name:		perl-IO-Socket-SSL
Version:	2.023
Release:	1%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IO-Socket-SSL/

Packager:	Contribs.org <http://contribs.org>
Vendor:		Koozali SME Server, http://mirror.contribs.org/releases

Source:		http://search.cpan.org/CPAN/authors/id/S/SU/SULLR/IO-Socket-SSL-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	perl(Net::SSLeay) >= 1.46
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
Requires:	perl(Net::SSLeay) >= 1.46
Requires:	perl(Scalar::Util)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
IO::Socket::SSL makes using SSL/TLS much easier by wrapping the necessary
functionality into the familiar IO::Socket interface and providing secure
defaults whenever possible. This way, existing applications can be made SSL-
aware without much effort, at least if you do blocking I/O and don't use
select or poll.

%prep
%setup -q -n IO-Socket-SSL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS Changes META.json README README.Win32
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 9 2016 Daniel Berteaud <daniel@firewall-services.com> - 2.022-1.sme
- Cleanup the spec file and update to 2.022, for Mojolicious [SME: 7819]

* Tue May 19 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.74-1.sme
- new upstream release [SME: 8926]

* Fri Jun 03 2011 David Hrbáč <david@hrbac.cz> - 1.44-1
- new upstream release

* Tue May 03 2011 David Hrbáč <david@hrbac.cz> - 1.40-1
- new upstream release

* Fri Mar 11 2011 David Hrbáč <david@hrbac.cz> - 1.39-1
- new upstream release

* Sun Jan 30 2011 David Hrbáč <david@hrbac.cz> - 1.38-1
- new upstream release

* Mon Jan 03 2011 David Hrbáč <david@hrbac.cz> - 1.37-1
- new upstream release

* Tue Dec 07 2010 David Hrbáč <david@hrbac.cz> - 1.35-1
- new upstream release

* Tue Nov 02 2010 David Hrbáč <david@hrbac.cz> - 1.34-1
- new upstream release

* Thu Sep 23 2010 David Hrbáč <david@hrbac.cz> - 1.33-1
- new upstream release

* Tue May 04 2010 Steve Huff <shuff@vecna.org> - 1.31-2
- Satisfies an alternative dependency for perl-Net-Nessus-XMLRPC.

* Wed Dec 23 2009 Christoph Maser <cmr@financial.com> - 1.31-1
- Updated to version 1.31.

* Wed Sep  9 2009 Christoph Maser <cmr@financial.com> - 1.30-1
- Updated to version 1.30.

* Fri Aug  7 2009 Christoph Maser <cmr@financial.com> - 1.27-1
- Updated to version 1.27.

* Sat Jul  4 2009 Christoph Maser <cmr@financial.com> - 1.26-1
- Updated to version 1.26.

* Wed Oct 15 2008 Dag Wieers <dag@wieers.com> - 1.17-1
- Updated to release 1.17.

* Wed Oct 08 2008 Dag Wieers <dag@wieers.com> - 1.16-1
- Updated to release 1.16.

* Tue Nov 13 2007 Dag Wieers <dag@wieers.com> - 1.13-1
- Updated to release 1.13.

* Tue Nov 13 2007 Dag Wieers <dag@wieers.com> - 1.12-1
- Updated to release 1.12.

* Tue Aug 07 2007 Dag Wieers <dag@wieers.com> - 1.07-2
- Disabled auto-requires for docs/ and example/.

* Mon Jun 18 2007 Dries Verachtert <dries@ulyssis.org> - 1.07-1
- Updated to release 1.07.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.05-1
- Updated to release 1.05.

* Mon Oct 09 2006 Dag Wieers <dag@wieers.com> - 1.01-1
- Updated to release 1.01.

* Wed Aug 16 2006 Dag Wieers <dag@wieers.com> - 0.999-1
- Updated to release 0.999.

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 0.97-1
- Updated to release 0.97.

* Wed Oct 20 2004 Dries Verachtert <dries@ulyssis.org> - 0.96-0
- Update to release 0.96.

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com> - 0.94-0
- Updated to release 0.94.
- Initial package. (using DAR)
